UMASS(4)

NAME
umass - USB Mass Storage Devices driver

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device scbus
device usb
device umass

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    umass_load="YES"

DESCRIPTION
The umass driver provides support for Mass Storage devices that attach to the USB port.

To use the umass driver, usb(4) and one of uhci(4) or ohci(4) or ehci(4) or xhci(4) must be configured in the kernel. Additionally, since umass uses the SCSI subsystem and sometimes acts as a SCSI device, it requires da(4) and scbus(4) to be included in the kernel.

EXAMPLES

    device umass
    device scbus
    device da
    device pass

Add the umass driver to the kernel.

    camcontrol rescan 0:0:0
    camcontrol rescan 0:0:1
    camcontrol rescan 0:0:2
    camcontrol rescan 0:0:3

Rescan all slots on a multi-slot flash reader, where the slots map to separate LUNs on a single SCSI ID. Typically only the first slot will be enabled at boot time. This assumes that the flash reader is the first SCSI bus in the system and has 4 slots.

SEE ALSO
cfumass(4), ehci(4), ohci(4), uhci(4), usb(4), xhci(4), camcontrol(8)

AUTHORS
-nosplit The umass driver was written by MAEKAWA Masahide <bishop@rr.iij4u.or.jp> and Nick Hibma <n_hibma@FreeBSD.org>.

This manual page was written by Nick Hibma <n_hibma@FreeBSD.org>.